Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.sinks
Class TokenTypeSinkTokenizer

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.Tokenizer
              org.apache.lucene.analysis.SinkTokenizer
                  org.apache.lucene.analysis.sinks.TokenTypeSinkTokenizer

    public class TokenTypeSinkTokenizer

extends SinkTokenizer

If the `Token.type()` matches the passed in `typeToMatch` then add it to the sink

Field Summary

Fields inherited from class org.apache.lucene.analysis.SinkTokenizer
`iter, lst`

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`TokenTypeSinkTokenizer(int initCap, String typeToMatch)`
`TokenTypeSinkTokenizer(List input, String typeToMatch)`
`TokenTypeSinkTokenizer(String typeToMatch)`

Method Summary
`void` | `add(Token t)`

Methods inherited from class org.apache.lucene.analysis.SinkTokenizer
`close, getTokens, next, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenTypeSinkTokenizer

    public TokenTypeSinkTokenizer(String typeToMatch)

### TokenTypeSinkTokenizer

    public TokenTypeSinkTokenizer(int initCap,
                                  String typeToMatch)

### TokenTypeSinkTokenizer

    public TokenTypeSinkTokenizer(List input,
                                  String typeToMatch)

Method Detail

### add

    public void add(Token t)

  Overrides:
    `add` in class `SinkTokenizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.